/*
 * Copyright 2026 Oleg Borodin <onborodin@gmail.com>
 *
 * This work is published and licensed under a Creative Commons
 * Attribution-NonCommercial-NoDerivatives 4.0 International License.
 *
 * Distribution of this work is permitted, but commercial use and
 * modifications are strictly prohibited.
 */
package auxx509

import (
	"fmt"
	"testing"

	"github.com/stretchr/testify/require"
)

func TestCert(t *testing.T) {
	caCert, caKey, err := CreateSelfSignedCert("test1")
	require.NoError(t, err)
	fmt.Println(string(caCert))
	fmt.Println(string(caKey))
}
